%define	name	wv
%define	version	0.5.37
%define	release	2
%define	serial	1

Summary:	MSWord Document to HTML converter
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Applications/Text
URL:		http://www.csn.ul.ie/~caolan/docs/MSWordView.html
Vendor:		Caolan McNamara <Caolan.McNamara@ul.ie>
Source:		%{name}-%{version}.tar.gz
Obsoletes:	mswordview
BuildRoot:	/var/tmp/%{name}-%{version}

#Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>

%description
MSWordView is a program that understands the Microsoft Word 8
binary file format (Office97) and is able to convert Word
documents into HTML, which can then be read with a browser.

wv is a suite of programs to help convert Word Documents to HTML.

%prep
%setup -q -n %{name}
# Checking for CVS specific files and removing them.
if [ -d ./CVS ]; then
	for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
		if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
	done
fi

%build
%configure --prefix=/usr
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT/usr/include

make prefix=$RPM_BUILD_ROOT/usr install

( cd $RPM_BUILD_ROOT/usr/bin; ln -sf wvConvert wvText; ) 

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi

%files
%defattr(-,root,root)
%doc examples feature-examples gateway helper-scripts notes todo
%doc ABIWORD-SUGGESTIONS CHANGELOG COPYING CREDITS INSTALL README
%doc README.NEW TESTING TODO.TXT mswordview.lsm
/usr/bin/wv-incconfig
/usr/bin/wv-libconfig
/usr/bin/wvConvert
/usr/bin/wvHtml
/usr/bin/wvSimpleCLX
/usr/bin/wvSummary
/usr/include/wv.h
/usr/lib/libwv.a
/usr/lib/wv
/usr/man/man1/wvHtml.1

%changelog
* Fri Oct 22 1999 Peter Hanecak <hanecak@megaloman.sk>
- configure moved to %build

* Wed Oct 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [wv-0.5.37-1]
- para indentation, first line indentation, top bottom left and right margins
- border code started, mountain of tags included.
- border color added for paragraphs
- we can handle individual sides to the border rather than just taking the
  top for all sides.
- supporting brcBetween required that we repeat the table style lookahead
  for brc's as well, this is very annoying, and seeing as netscape doesnt
  even allow margin support correctly I hate putting it in as noone can use
  it, makes me feel more complete to support it myself though, maybe
  mozilla will sort this out.

* Fri Oct  8 1999 Ryan Weaver <ryanw@infohwy.com>
  [wv-0.5.36-1]
- mem leaks plugged, word 6 and 7 section sprms added correctly.
- crushed a few out by ones, twos and threes :-), flattened a few
  more pesky buglets and leaks.
- purify now reports no problems of any kind with any of the examples
  and feature-examples.
- modified simple and complex saves to only do the *main* body text,
  no comment and footnotes etc being put in when they shouldnt.
- made some headway into understanding undocumented version 
  information. Theres 22 ununderstood bytes per version.
- added wvSetSpecialCharHandler, special chars now have their own
  seperate callback which feeds you the char and the associated CHP,
  this might require some more work.
- doh !, made silly mistake with ending the doc at the ccpText limit.
- added wvGetGrpXst converts strings groups to nice STTBF's
- added wvGetBKL_PLCF
- implemented the COMMENT BEGIN and END, and applied it to the "simple code",
  the actual comment itself and so on is part of the subdocuments which are
  not implemented yet, but will be soon.
- overlooked complex sep properties, added them in.
- added dirty tag to the elehandler, 1 means that the property might (more than
  likely it is) be modified from the original style as indicated by the istd, this
  is implemented in simple and complex for PAP,CHP and SEP.

* Wed Sep 29 1999 Ryan Weaver <ryanw@infohwy.com>
  [wv-0.5.35-1]
- tables.
- wvToggle was still in todo, it was fixed a while ago
- made decode_complex stsh into a ps->stsh, I obviously missed
  it before, this is the problem with having both decode_complex and
  decode_simple with unshared components, gagh!
- complex mode tables might even work now.
- table relative widths now in as well, percentage of screen, uses
  the sep, so sep has been put into the expand_data struct, which needs
  to be cleaned up, i propose putting chp pap and sep into wvParseStruct
  rather than props, and making expand_data have a pointer to wvparsestruct 
- fixed section code begin and end crash.
- complex mode colspan and rowspan, and various support functions.
- wvHtml can find the config file on its own, and has a command line
  option (-x) to find it.
- some fixes to wvConvert which I havnt looked at in a while, so as
  to get it to work, and to include the password and other changes that
  made their way into wvHtml.

  [wv-0.5.34-1]
- added cellwidth percentage as well to wvHtml.xml to make the cells the
  same ratio width in html as in the original word.
- changed Dk Colors to Dark Colors in wvHtml.xml to get the right colors
- tested rowspan lots and lots on examples.
- tested colspan. 
- wow my god !, there can be either no tc's in sprmTDefTable, word 6 ones,
  or word 8 ones, you have to work it out depending on the length of the 
  parameter.
- small doc addition by Karl F. Larsen <k5di@totacc.com>
- tweaked wvCharBegin to ignore empty rowend paragraphs, squeaks us past
  the html validation service :-)
- basic tablelooks implemented, and basic background color for cells
- changed a few more colours in wvHtml.xml to get ones that work in
  netscape, must change them all to #?????? values.
- removed signal and wait stuff from configure
- added searching for wvHtml.xml, i also install it, so you can wrap 
  this in a rpm and it will work fine for the average user.

* Tue Sep 21 1999 Ryan Weaver <ryanw@infohwy.com>
  [wv-0.5.33-1]
- tested row and col span with fullsave and fixed many
  many bugs, sprmTDefTable is not as simple as it looks.

